#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

blue = Create_String(String, "snowman", colour = (120, 120, 255),
            image_pos = [(230, 150)], image_name = "snowman")
red = Create_String(String, "Santa", colour = (255, 0, 0),
            image_pos = [(70, 150)], image_name = "santa")
red.Add_Sequence("1")
blue.Add_Sequence("1")

red = Create_Component(Light_Control, red)
blue = Create_Component(Light_Control, blue)
one = Create_Component(Stimulator_Simple, ST_ONE)


Meta_Data(text = "Get Christmas Started!",
    desc = "On the first level, your goal is to light up the snowman and "
        "Santa!\n\n"
        "To do that, you'll have to link the power "
        "source (left) to the lights (right). That's done by drawing a "
        "wire. When you click Play, the game will start, and the in-game "
        "Guide will guide you.",
    guide = [
    Guide(trigger = "True",
        requires_ack = True,
        text = "This box is the 'Guide'. The Guide is optional. It helps you "
            "whenever something new is introduced. Sometimes the Guide "
            "automatically updates as you complete subtasks; other times, "
            "you have to click the 'Next' button attached to it in order "
            "to advance. Click 'Next' now if you want to use the Guide "
            "for this level."),
    Guide(trigger = "red.Get_State() == ST_UNDEFINED",
        point_at = "one.Get_Terminal()",
        text = "This circle is called a 'Terminal'. Like a terminal on "
            "a battery, it is a source of power. "
            "Point the mouse within this circle. Press and "
            "hold the left mouse button."),
    Guide(trigger = "(n.Is_Placing_Wire() "
                "and (not red in one.provides) and not blue in one.provides)",
        point_at = "red.Get_Terminal()",
        text = "You're placing a 'Wire'. Drag the line to the terminal "
            "attached to Santa."),
    Guide(trigger = "(red in one.provides) and not blue in one.provides",
        point_at = "one.Get_Terminal()",
        text = "Santa is on! You've linked him to the power " 
            "supply. Now do the same for the snowman to complete "
            "the level."),
    Guide(trigger = "(n.Is_Placing_Wire() "
                "and (red in one.provides) and not blue in one.provides)",
        point_at = "blue.Get_Terminal()",
        text = "You're placing a second 'Wire'. Drag the line to the terminal "
            "attached to the snowman."),
    ])

